View Issue Details

IDProjectCategoryLast Update
0025843AI War 2Crash/ExceptionNov 21, 2021 10:41 pm
ReporterBadgerBadger Assigned Totom.prince  
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 3.755 
Fixed in VersionBeta 3.755 
Summary0025843: Hovertext exception: fireteamRequiredTarget
Description11/20/2021 11:12:27 AM 3.755 SINGLEP Exception in entity tooltip text generation at stage 30520:System.Exception: Called ToString() method on ConcurrentPoolable Arcen.AIW2.Core.FireteamRequiredTarget
  at Arcen.Universal.ConcurrentPoolable`1[T].ToString () [0x00011] in /home/arcengames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/ArcenCollections/Pools/ConcurrentPool.cs:271
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Squad relatedSquadOrNull, Arcen.AIW2.Core.FleetMembership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, Arcen.AIW2.Core.Fleet FleetToUseOrNull, System.String AltTextColorIfUsed, System.String AltTextInPlaceOfFleetAndOwnerOrBlank, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags, System.Single PositionScaleMultiplier, System.Boolean IsBeingDrawnInPopupWindowRatherThanTooltip) [0x07ac8] in <5211139b4aaa4776b640580afaeb204f>:0
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at Arcen.Universal.ArcenDebugging.ArcenLog_InnerOnMainThreadOnly (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00197] in /home/arcengames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/UtilityLibraries/ArcenDebugging.cs:394
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00039] in /home/arcengames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/UtilityLibraries/ArcenDebugging.cs:230
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Squad relatedSquadOrNull, Arcen.AIW2.Core.FleetMembership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, Arcen.AIW2.Core.Fleet FleetToUseOrNull, System.String AltTextColorIfUsed, System.String AltTextInPlaceOfFleetAndOwnerOrBlank, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags, System.Single PositionScaleMultiplier, System.Boolean IsBeingDrawnInPopupWindowRatherThanTooltip) [0x00000] in <5211139b4aaa4776b640580afaeb204f>:0
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Squad relatedSquadOrNull, Arcen.AIW2.Core.FleetMembership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags, System.Single PositionScaleMultiplier, System.Boolean IsBeingDrawnInPopupWindowRatherThanTooltip) [0x00000] in <5211139b4aaa4776b640580afaeb204f>:0
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <5211139b4aaa4776b640580afaeb204f>:0
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <5211139b4aaa4776b640580afaeb204f>:0
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x000a6] in /home/arcengames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/ArcenUI/ArcenUI_ImageButton.cs:308
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00072] in /home/arcengames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/ArcenUI/ArcenUI_Window.cs:432
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
Nov 20, 2021 1:13 pm BadgerBadger New Issue
Nov 20, 2021 1:18 pm BadgerBadger Assigned To => x4000Bughunter
Nov 20, 2021 1:18 pm BadgerBadger Status new => assigned
Nov 21, 2021 10:41 pm tom.prince Assigned To x4000Bughunter => tom.prince
Nov 21, 2021 10:41 pm tom.prince Status assigned => resolved
Nov 21, 2021 10:41 pm tom.prince Resolution open => fixed
Nov 21, 2021 10:41 pm tom.prince Fixed in Version => Beta 3.755